<style>
    .rbs-settings .control-label {
        width: 242px;
    }

    .rbs-settings .controls {
        margin-left: 262px;
    }

    .rbs-settings select {
        width: 400px;
    }
</style>
<div class="rbs-settings">


    <h4>{__("addons.rbspayment.general_settings")}</h4>
    <div class="control-group">
        <label class="control-label" for="rbs_login">{__("addons.rbspayment.login")}:</label>
        <div class="controls">
            <input type="text" name="payment_data[processor_params][login]" id="rbs_login"
                   value="{$processor_params.login}" size="60">
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="rbs_password">{__("addons.rbspayment.password")}:</label>
        <div class="controls">
            <input type="password" name="payment_data[processor_params][password]" id="rbs_password"
                   value="{$processor_params.password}" size="60">
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="mode">{__("test_live_mode")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][mode]" id="mode">
                <option value="test" {if $processor_params.mode == "test"}selected="selected"{/if}>{__("test")}</option>
                <option value="live" {if $processor_params.mode == "live"}selected="selected"{/if}>{__("live")}</option>
            </select>
        </div>
    </div>


    <div class="control-group">
        <label class="control-label" for="two_staging">{__("addons.rbspayment.two_staging")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][two_staging]" id="two_staging">
                <option value="0"
                        {if $processor_params.two_staging == 0}selected="selected"{/if}>{__("addons.rbspayment.one-stage")}</option>
                <option value="1"
                        {if $processor_params.two_staging == 1}selected="selected"{/if}>{__("addons.rbspayment.two-stage")}</option>
            </select>
        </div>
    </div>

    {assign var="statuses" value=$smarty.const.STATUSES_ORDER|fn_get_simple_statuses}

    <div class="control-group">
        <label class="control-label" for="rbs_confirmed_order_status">{__("addons.rbspayment.confirmed_order_status")}
            :</label>
        <div class="controls">
            <select name="payment_data[processor_params][confirmed_order_status]" id="rbs_confirmed_order_status">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}"
                            {if $processor_params.confirmed_order_status == $k || !$processor_params.confirmed_order_status && $k == 'P'}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>


    <div class="control-group">
        <label class="control-label" for="logging">{__("addons.rbspayment.logging")}:</label>
        <div class="controls">
            <input type="checkbox" name="payment_data[processor_params][logging]" id="logging"
                   value="Y" {if $processor_params.logging == 'Y'} checked="checked"{/if}/>
        </div>
    </div>



    {if constant('Tygh\Payments\Processors\RBSPayment::ENABLE_FISCALE_OPTIONS') == true}
        {include file="common/subheader.tpl" title=__("addons.rbspayment.text_ofd_map") target="#text_rbs_ofd_map"}
        <div id="text_rbs_ofd_map" class="in collapse">

        <div class="control-group">
            <label class="control-label" for="send_order">{__("addons.rbspayment.send_order")}:</label>
            <div class="controls">
                <input type="checkbox" name="payment_data[processor_params][send_order]" id="send_order"
                       value="Y" {if $processor_params.send_order == 'Y'} checked="checked"{/if}/>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="tax_system">{__("addons.rbspayment.tax_system_label")}:</label>
            <div class="controls">
                <select name="payment_data[processor_params][tax_system]" id="tax_system">
                    <option value="0"
                            {if $processor_params.tax_system == 0}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_0")}
                    </option>
                    <option value="1"
                            {if $processor_params.tax_system == 1}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_1")}
                    </option>
                    <option value="2"
                            {if $processor_params.tax_system == 2}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_2")}
                    </option>
                    <option value="3"
                            {if $processor_params.tax_system == 3}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_3")}
                    </option>
                    <option value="4"
                            {if $processor_params.tax_system == 4}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_4")}
                    </option>
                    <option value="5"
                            {if $processor_params.tax_system == 5}selected="selected"{/if}>{__("addons.rbspayment.entry_tax_system_5")}
                    </option>
                </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="tax_type">{__("addons.rbspayment.tax_type")}:</label>
            <div class="controls">
                <select name="payment_data[processor_params][tax_type]" id="tax_type">
                    <option value="0" {if $processor_params.tax_type == 0}selected="selected"{/if}>{__("addons.rbspayment.vat_1")}</option>
                    <option value="1" {if $processor_params.tax_type == 1}selected="selected"{/if}>{__("addons.rbspayment.vat_2")}</option>
                    <option value="2" {if $processor_params.tax_type == 2}selected="selected"{/if}>{__("addons.rbspayment.vat_3")}</option>
                    <option value="3" {if $processor_params.tax_type == 3}selected="selected"{/if}>{__("addons.rbspayment.vat_4")}</option>
                    <option value="6" {if $processor_params.tax_type == 6}selected="selected"{/if}>{__("addons.rbspayment.vat_5")}</option>
                    <option value="4" {if $processor_params.tax_type == 4}selected="selected"{/if}>{__("addons.rbspayment.vat_6")}</option>
                    <option value="5" {if $processor_params.tax_type == 5}selected="selected"{/if}>{__("addons.rbspayment.vat_7")}</option>
                    <option value="7" {if $processor_params.tax_type == 7}selected="selected"{/if}>{__("addons.rbspayment.vat_8")}</option>
                </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="FFDVersion">{__("addons.rbspayment.ffdversion")}
                :</label>
            <div class="controls">
                <select name="payment_data[processor_params][FFDVersion]" id="FFDVersion">
                    {*<option value="v10" {if $processor_params.FFDVersion == "v10"}selected="selected"{/if}>ФФД 1.0*}
                    {*</option>*}
                    <option value="v1_05" {if $processor_params.FFDVersion == "v1_05"}selected="selected"{/if}>1.05
                    </option>
                    <option value="v1_2" {if $processor_params.FFDVersion == "v1_2"}selected="selected"{/if}>1.2</option>
                </select>
                <p class="description">
                    <small></small>
                </p>
            </div>
        </div>


        <div class="control-group">
            <label class="control-label" for="ffd_paymentMethodType">{__("addons.rbspayment.ffd_payment_method_label")}
                :</label>
            <div class="controls">
                <select name="payment_data[processor_params][ffd_paymentMethodType]" id="ffd_paymentMethodType">
                    <option value="1" {if $processor_params.ffd_paymentMethodType == 1}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_1")}</option>
                    <option value="2" {if $processor_params.ffd_paymentMethodType == 2}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_2")}</option>
                    <option value="3" {if $processor_params.ffd_paymentMethodType == 3}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_3")}</option>
                    <option value="4" {if $processor_params.ffd_paymentMethodType == 4}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_4")}</option>
                    <option value="5" {if $processor_params.ffd_paymentMethodType == 5}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_5")}</option>
                    <option value="6" {if $processor_params.ffd_paymentMethodType == 6}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_6")}</option>
                    <option value="7" {if $processor_params.ffd_paymentMethodType == 7}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_method_7")}</option>
                </select>
                <p class="description">
                    <small></small>
                </p>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="ffd_paymentObjectType">{__("addons.rbspayment.ffd_payment_object_label")}
                :</label>
            <div class="controls">
                <select name="payment_data[processor_params][ffd_paymentObjectType]" id="ffd_paymentObjectType">
                    <option value="1" {if $processor_params.ffd_paymentObjectType == 1}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_1")}</option>
                    <option value="2" {if $processor_params.ffd_paymentObjectType == 2}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_2")}</option>
                    <option value="3" {if $processor_params.ffd_paymentObjectType == 3}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_3")}</option>
                    <option value="4" {if $processor_params.ffd_paymentObjectType == 4}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_4")}</option>
                    <option value="5" {if $processor_params.ffd_paymentObjectType == 5}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_5")}</option>
                    {*<option value="6" {if $processor_params.ffd_paymentObjectType == 6}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_6")}</option>*}
                    <option value="7" {if $processor_params.ffd_paymentObjectType == 7}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_7")}</option>
                    {*<option value="8" {if $processor_params.ffd_paymentObjectType == 8}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_8")}</option>*}
                    <option value="9" {if $processor_params.ffd_paymentObjectType == 9}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_9")}</option>
                    <option value="10" {if $processor_params.ffd_paymentObjectType == 10}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_10")}</option>
                    <option value="11" {if $processor_params.ffd_paymentObjectType == 11}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_11")}</option>
                    <option value="12" {if $processor_params.ffd_paymentObjectType == 12}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_12")}</option>
                    <option value="13" {if $processor_params.ffd_paymentObjectType == 13}selected="selected"{/if}>{__("addons.rbspayment.entry_payment_object_13")}</option>
                </select>
                <p class="description">
                    <small></small>
                </p>
            </div>
        </div>

    </div>
    {/if}

</div>
